require 'open-uri'
require 'nokogiri'

class ToolGetLink
  def initialize(link)
    if (check_link(link) == true)
      @link = link
    end
  end

  def check_link(link)
    if (link.empty?)
      return false
    elsif(link.slice(0..26) != "http://mp3.zing.vn/bai-hat/")
      return false
    elsif (!link.end_with?(".html"))
      return false
    end
    return true
  end

  def get_link
    @link
  end

  def get_link_to_XML_page
      if (@link != nil)
        content = Nokogiri::XML(open(@link))
        return content.css("#html5player @data-xml").text
      else
        return nil
      end
  end

  def get_link_download
    if(@link != nil)
      contentXML = Nokogiri::XML(open(get_link_to_XML_page()))
      return contentXML.css("source").text
    else
      return nil
    end
  end
end
